%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-libglade2
Version:        2.6.4
Release:        4%{?dist}
Summary:        MinGW Windows Libglade2 library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/libglade/2.6/libglade-%{version}.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=121025
Patch1:         libglade-2.0.1-nowarning.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=510736
Patch2:         libglade-secondary.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gtk2
BuildRequires:  mingw32-fontconfig
BuildRequires:  mingw32-pango
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-libxml2

# Native one for msgfmt
BuildRequires:  gettext

Requires:       pkgconfig

%description
MinGW Windows Libglade2 library.

%package static
Summary:        Static MinGW Windows Libglade2 library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description static
Static MinGW Windows Libglade2 library.


%{_mingw32_debug_package}


%prep
%setup -q -n libglade-%{version}
%patch1 -p1 -b .nowarning
%patch2 -p1 -b .secondary

%build
%{_mingw32_configure} --disable-gtk-doc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/%{_mingw32_datadir}/gtk-doc/html/libglade

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING
%{_mingw32_bindir}/libglade-2.0-0.dll
%{_mingw32_bindir}/libglade-convert
%{_mingw32_includedir}/libglade-2.0
%{_mingw32_libdir}/libglade-2.0.dll.a
%{_mingw32_libdir}/libglade-2.0.la
%{_mingw32_libdir}/pkgconfig/libglade-2.0.pc

%dir %{_mingw32_datadir}/xml/libglade
%{_mingw32_datadir}/xml/libglade/glade-2.0.dtd

%files static
%defattr(-,root,root)
%{_mingw32_libdir}/libglade-2.0.a

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.4-3
- add debuginfo packages

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.4-2
- fix static Requires

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.4-1
- replace %%define with %%global
- update to 2.6.4
- move static library to its own subpackage
- add secondary patch from native libglade2 package

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-4
- Include license file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-3
- Use _smp_mflags.
- +BR mingw32-libxml2.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-2
- Requires pkgconfig.

* Fri Nov 28 2008 Daniel P. Berrange <berrange@redhat.com> - 2.6.3-1
- Initial build
